Package org.pentaho.reporting.libraries.resourceloader

# Class ResourceKeyData

java.lang.Object
org.pentaho.reporting.libraries.resourceloader.ResourceKeyData

public class ResourceKeyData extends Object
Data class which holds the pieces of the String version of the Resource Key.

Author:
  David M. Kincade

## Constructor Summary

Constructors
Constructor
Description
`ResourceKeyData(String schema, String identifier, Map factoryParameters)`

## Method Summary

Modifier and Type
Method
Description
`Map`
`getFactoryParameters()`
`String`
`getIdentifier()`
`String`
`getSchema()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceKeyData

public ResourceKeyData(String schema, String identifier, Map factoryParameters)

## Method Details

### getSchema

public String getSchema()

### getIdentifier

public String getIdentifier()

### getFactoryParameters

public Map getFactoryParameters()